# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Errno.pm) perl(IO/File.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl(MIME/QuotedPrint.pm) perl(Sys/Syslog.pm) perl(URI/Escape.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
# Filter the Perl extension module


Summary:	Use a Razor catalogue server to filter spam messages
Name:		perl-Razor-Agent
Version:	2.85
Release:	alt2_13
License:	Artistic 2.0
Group:		Networking/WWW
URL:		http://razor.sourceforge.net/
Source:		http://dl.sourceforge.net/razor/razor-agents-%{version}.tar.bz2
Patch0:         razor-agents-2.85-use-sha-not-sha1.patch
Requires:	perl(Net/DNS.pm) 
BuildRequires:	perl(Net/DNS.pm) perl(Digest/SHA1.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Razor establishes a distributed and constantly
updating catalogue of spam in propagation. This catalogue is used
by clients to filter out known spam. On receiving a spam, a Razor
Reporting Agent (run by an end-user or a troll box) calculates and
submits a 20-character unique identification of the spam (a SHA
Digest) to its closest Razor Catalogue Server. The Catalogue Server
echos this signature to other trusted servers after storing it in its
database. Prior to manual processing or transport-level reception,
Razor Filtering Agents (end-users and MTAs) check their incoming mail
against a Catalogue Server and filter out or deny transport in case of
a signature match. Catalogued spam, once identified and reported by
a Reporting Agent, can be blocked out by the rest of the Filtering
Agents on the network.

%prep
%setup -q -n razor-agents-%{version}
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
cd Razor2-Preproc-deHTMLxs
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
cd ..
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install

make install -C Razor2-Preproc-deHTMLxs \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_vendor_archlib}
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_vendor_archlib} \
  INSTALLMAN5DIR=%{_mandir}/man5 \
  PERL5LIB=$RPM_BUILD_ROOT%{perl_vendorarch}

find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc BUGS Changes CREDITS FAQ LICENSE README SERVICE_POLICY
%{_bindir}/*
%{perl_vendor_privlib}/Razor2
%{perl_vendor_privlib}/auto/Razor2
%{perl_vendorarch}/Razor2
%{perl_vendorarch}/auto/Razor2
%{_mandir}/man*/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.85-alt2_13
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 2.85-alt2_12
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.85-alt1_12
- update to new release by fcimport

* Sat May 26 2012 Igor Vlasenko <viy@altlinux.ru> 2.85-alt1_10
- fc import

